Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2006-2827

Overview

Vulnerability Score 6.4 6.4
CVE Id CVE-2006-2827
Last Modified 09 Nov 2008 01:27:04
Published 05 Jun 2006 01:02:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2006-2827

Summary

** DISPUTED ** SQL injection vulnerability in search.php in X-Cart Gold and Pro 4.0.18, and X-Cart 4.1.0 beta 1, allows remote attackers to execute arbitrary SQL commands via the "Search for pattern" field, when the settings specify only "Search in Detailed description" and "Search also in ISBN." NOTE: the vendor disputed this issue in a comment on the original researcher's blog, saying "the bug does not impose any security threat and remote attackers can't add, modify, or delete information in the back-end database by sending specially-crafted SQL statements to the search.php script using various search parameters." As of 20060605, the original blog entry is unavailable, although ISS also reports the same dispute. CVE has not been able to investigate this issue further, although the researcher sometimes makes inaccurate claims.

Vulnerable Systems

Application

  • Qualiteam X-cart 4.1.0 Beta 1

  • Qualiteam X-cart Gold 4.0.18

  • Qualiteam X-cart Pro 4.0.18


References

XF - xcart-search-sql-injection(25944)

MISC - http://pridels0.blogspot.com/2006/04/x-cart-sql-inj-vuln.html


Last Updated: 27 May 2016 10:42:46